<div class="company-client-dialog">
  <div class="container">
    <mat-toolbar>
      <span>{{companyClientService.companyClientForm.controls['$key']?.value ? "Edycja klienta" : "Dodawanie klienta"}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="companyClientService.companyClientForm" (submit)="onSubmit()">
      <div fxLayout="column">

        <mat-form-field>
          <input matInput formControlName="name" placeholder="Nawa klienta" required>
          <mat-error>Nazwa klienta jest wymagana.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="nip" #nip placeholder="Nip klienta" maxlength="10">
          <mat-error>Nip musi składać się dokładnie z 10 cyfr.
          </mat-error>
          <mat-hint align="end">{{nip.value.length}} / 10</mat-hint>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="regon" placeholder="Regon klienta" maxlength="14">
          <mat-error>Regon może składać się dokładnie z 9 lub 14 znaków.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <textarea matInput formControlName="address1" placeholder="Adres 1"></textarea>
        </mat-form-field>

        <mat-form-field>
          <textarea matInput formControlName="address2" placeholder="Adres 2"></textarea>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="contactPhoneNumber" placeholder="Numer kontaktowy"
                 maxlength="14">
          <mat-error>Nieprawidłowy numer telefonu.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="contactEmail" placeholder="Email kontaktowy">
          <mat-error>Nieprawidłowy adres email.</mat-error>
        </mat-form-field>

      </div>
      <div class="button-row">
        <button mat-raised-button color="primary" type="submit" [disabled]="companyClientService.companyClientForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>

    </form>
  </div>
</div>
